#!/bin/bash
#
# FLVGET Plugin for "Bolt" version 1.0
# http://www.bolt.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|Bolt|bolt.com"
	exit 0
fi

url=$(wget -q "$1" -O - | grep content.bolt.com | grep "\[" | sed -e 's/.*\[IMG\]\(.*\)_1\.jpg.*$/\1/' -e 's/image/movie/')
[[ -z "$(echo $url | grep flv)" ]] && url=$url.flv
filename=$(echo "$url" | sed -e 's/.*\/\(.*\).*/\1/' -e 's/\..*\./\./')

echo "$url|$filename"

