#!/bin/bash
#
# FLVGET Plugin for "Putfile.com" version 1.0
# http://www.putfile.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|Putfile.com|media.putfile.com"
	exit 0
fi

url=$(wget -q "$1" -O - | grep embed | sed -e 's/.*src=\"\(.*\)\">.*$/\1/')
filename=$(echo "$1" | sed -e 's/.*\/\(.*\).*/\1/' -e 's/\..*\./\./').$(echo $url | sed -e 's/.*\.\([[:alnum:]]*\)$/\1/')

echo "$url|$filename"

