#!/bin/bash
#
# FLVGET Plugin for "uGoto" version 1.0
# http://www.ugoto.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|uGoto|ugoto.com"
	exit 0
fi

url=$(wget -q "$1" -O - | grep flv | head -1 | sed -e 's/.*\(http.*\.flv\).*/\1/')
filename=$(echo "$url" | sed -e 's/.*\/\(.*\)$/\1/')

echo "$url|$filename"
