#!/bin/bash
#
# FLVGET Plugin for "Vimeo" version 1.0
# http://www.vimeo.com/
#
# This plugin is released under GPL free license.
#
# Pablo Chinea <khertz@gmail.com>
#################################################

if [[ $1 == '-q' ]]
then
	echo "FLVGET_PLUGIN|Vimeo|vimeo.com"
	exit 0
fi

url=$(wget -q "$1" -O - | grep video_files | grep span | grep -v "\.flv" | cut -d'"' -f4)
filename=$(echo "$1" | sed -e 's/.*:\(.*\)$/\1/').$(echo $url | sed -e 's/.*\.\([[:alnum:]]*\)$/\1/')

echo "$url|$filename"

